version: '3.1'

services:

  extrator:
    image: #CONTAINER_IMG
    restart: always
    networks:
      netsinapses:
        aliases:
          - extrator.sinapses
    volumes:
      - ./db-extrator:/opt/app/checkpoints
      - ./configuracao.yml:/opt/app/configuracao.yml

  conversor:
    image: registry.cnj.jus.br/ia/conversor-texto:7997
    restart: always
    networks:
      netsinapses:
        aliases:
          - conversor.sinapses
    ports:
      - 8080:8080
volumes:
    db-extrator:
      driver: local
networks:
  netsinapses:
    driver: bridge       
    ipam:
      driver: default
      config:
        - subnet: 10.1.99.1/24
